Subject: Re: [PATCH RFC 0/5] net: L2 only interfaces

From: Florian Fainelli <[email-masked]>
Date: Wed, 26 Aug 2015 10:32:03 -0700

On 25/08/15 17:12, David Miller wrote:
> From: Florian Fainelli <[email-masked]>
> Date: Tue, 25 Aug 2015 15:50:10 -0700
> 
>> This patch series implements a L2 only interface concept which
>> basically denies any kind of IP address configuration on these
>> interfaces, but still allows them to be used as configuration
>> end-points to keep using ethtool and friends.
>>
>> A cleaner approach might be to finally come up with the concept of
>> net_port which a net_device would be a superset of, but this still
>> raises tons of questions as to whether we should be modifying
>> userland tools to be able to configure/query these
>> interfaces. During all the switch talks/discussions last year, it
>> seemed to me like th L2-only interface is closest we have to a
>> "network port".
>>
>> Comments, flames, flying tomatoes welcome!
> 
> Interesting, indeed.
> 
> Do you plan to extend this to defining a more minimal network device
> sub-type as well?
> 
> Then we can pass "net_device_common" or whatever around as a common
> base type of actual net device "implementations".

I am a little worried this is not going to scale well without
introducing massive amounts of churn, but I am not opposed to the idea
of having a common denominator structure which is either further
specialized into a full-fledged net_device, or some other construct.

> 
> Or is you main goal just getting the L2-only semantic?

Yes, this was the main goal behind this submission, and see if there was
something obviously wrong with doing that.

Now, based on the feedback, it seems like there is both interest and
uses cases I had not initially thought about, like making this flag
fully volatile.

Thanks!
-- 
Florian